#
# spec file for package yast2-update
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-update
Version:        2.23.1
Release:        0

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-update-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2-devtools
BuildRequires:  yast2-testsuite
# Stroage::ChangeDmNamesFromCrypttab
BuildRequires:  yast2-storage >= 2.22.9
# Packages::GetBaseSourceID
BuildRequires:  yast2-packager >= 2.17.19
# Wizard::OpenOKDialog
BuildRequires:  yast2 >= 2.16.49
# package not really needed to be installed but this breaks the building cycle

# xmllint
BuildRequires:  libxml2

# control.rng
BuildRequires:  yast2-installation >= 2.17.44

# Stroage::ChangeDmNamesFromCrypttab
Requires:       yast2-storage >= 2.22.9
# PackagesUI::RunPackageSelector
Requires:       yast2 >= 2.17.40
Requires:       yast2-installation
# Function SelectKernelPackages has been moved to Packages module (bnc #326269).
Requires:       yast2-packager >= 2.17.27

# moved into yast2-update from yast2-installation
# to remove dependency on yast2-storage
Provides:       yast2-installation:/usr/share/YaST2/clients/vendor.ycp

# Required only in inst-sys
# Requires:	yast2-storage
# Requires:	yast2-country

# Pkg::PkgUpdateAll (map conf)
Conflicts:      yast2-pkg-bindings < 2.15.11
# Storage::DeviceMatchFstab (#244117)
Conflicts:      yast2-storage < 2.15.4

Summary:        YaST2 - Update
License:        GPL-2.0
Group:          System/YaST

%package FACTORY
PreReq:         %fillup_prereq
Requires:       yast2
Requires:       yast2-update

# moved into yast2-update from yast2-installation
# to remove dependency on yast2-storage
Provides:       yast2-update:/usr/share/YaST2/clients/update.ycp

Summary:        YaST2 - Update
Group:          System/YaST

%description
Use this component if you wish to update your system.

%description FACTORY
Use this component if you wish to update your system.

%prep
%setup -n yast2-update-%{version}

%build
%{_prefix}/bin/y2tool y2autoconf
%{_prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_prefix}/lib/YaST2/bin/*
/usr/share/YaST2/modules/*

/usr/share/YaST2/clients/inst_rootpart.ycp
/usr/share/YaST2/clients/inst_update.ycp
/usr/share/YaST2/clients/inst_backup.ycp
/usr/share/YaST2/clients/rootpart_proposal.ycp
/usr/share/YaST2/clients/update_proposal.ycp
/usr/share/YaST2/clients/packages_proposal.ycp
/usr/share/YaST2/clients/backup_proposal.ycp
/usr/share/YaST2/clients/inst_update_partition.ycp
/usr/share/YaST2/clients/inst_update_partition_auto.ycp
/usr/share/YaST2/clients/rootpart_check_keyboard.ycp

/usr/share/YaST2/include/update
/usr/share/YaST2/include/update/rootpart.ycp

%doc %{_prefix}/share/doc/packages/yast2-update

%files FACTORY
%defattr(-,root,root)
%{_prefix}/share/applications/YaST2/update.desktop
%dir /usr/share/YaST2/control
/usr/share/YaST2/control/update.xml
/usr/share/YaST2/clients/update.ycp
/usr/share/YaST2/clients/run_update.ycp

%changelog
